<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.GisSf6EnvMonitoringStatisticsMapper">

    <sql id="Base_Column_List">
            id as id,
            site_id as siteId,
            sensor_id as sensorId,
            main_tree_id as mainTreeId,
            sub_tree_id as subTreeId,
			tmp,
		o_content as oContent,
		conc,
		    dew,
		increase_tmp as increaseTmp ,
		increase_conc as increaseConc,
		increase_o_content as increaseOContent,
		increase_dew as increaseDew,
		month_increase_tmp as monthIncreaseTmp,
		month_increase_conc as monthIncreaseConc,
		month_increase_o_content as monthIncreaseOContent,
		month_increase_dew as monthIncreaseDew,
            d_time as dTime,
            create_time as createTime
    </sql>

	<delete id="deleteItem">
		delete from gis_sf6_env_monitoring_statistics where sensor_id = #{sensorCode} and d_time = #{day}
	</delete>

	<select id="getItem" resultType="com.huatek.busi.entity.GisSf6EnvMonitoringStatistics">
		select 
			<include refid="Base_Column_List"/>
		from
		gis_sf6_env_monitoring_statistics t
		where
			t.sensor_id = #{sensorCode} 
			and t.d_time = #{day}
	</select>

	
</mapper>